MOZILLA FIREFOX Vulnerability could allow hackers to remotely tamper with users' computers.

Mozilla’s Firefox Quantum browser has been generally well received since its release, but there have been some hiccups, the most recent of which was reported by Cisco this week. On Tuesday the company disclosed a Firefox vulnerability that could allow a remote attacker to execute “arbitrary code” on a targeted system.

We recommend any user who uses the browser to update to the latest version immediately.
Instructions on how to update can be found on the Mozilla Support site below

https://support.mozilla.org/en-US/kb/update-firefox-latest-version